Odoo Help

0

Problem when Synchronize Metadata in Prestashop-OpenERP connector

By
Atchuthan - Technical Consultant, Sodexis Inc
on 2/13/14, 3:32 AM 3,312 views

I am new to Prestashop-OpenERP connector, I installed the Prestashop and required modules for OpenERP 7 and followed the instructions provided.

When I tried to do "Synchronize Metadata", the jobs and workers were assigned properly but when the Sync started, I had an error that

2014-02-13 06:54:09,636 3026 ERROR presta openerp.addons.connector.queue.worker: Traceback (most recent call last):
  File "/opt/openerp/v7.0/custom_modules/launchpad_links/connector/queue/worker.py", line 122, in run_job
    job.perform(session)
  File "/opt/openerp/v7.0/custom_modules/launchpad_links/connector/queue/job.py", line 472, in perform
    self.result = self.func(session, *self.args, **self.kwargs)
  File "/opt/openerp/v7.0/custom_modules/launchpad_links/prestashoperpconnect/unit/import_synchronizer.py", line 671, in import_record
    importer.run(prestashop_id)
  File "/opt/openerp/v7.0/custom_modules/launchpad_links/prestashoperpconnect/unit/import_synchronizer.py", line 130, in run
    self.mapper.convert(self.prestashop_record)
  File "/opt/openerp/v7.0/custom_modules/launchpad_links/connector/unit/mapper.py", line 717, in convert
    raise DeprecationWarning('Mapper.convert() has been deprecated, '
DeprecationWarning: Mapper.convert() has been deprecated, use Mapper.map_record() then map_record.values()

Also, this error occurs whenever I tried to Sync or Import data from Prestashop.

When I checked, I looked at this question, but It was unanswered. So I thought I might have missed some configuration with Prestashop connectivity to OpenERP.

https://answers.launchpad.net/prestashoperpconnect/+question/242742

How to solve this problem?

3

The prestashoperpconnect module is not compatible with the last version of the Connector Framework.

You have to use the 2.0.1 version of the connector, so when you get the branch, you have to get the 2.0.1 tag with bzr:

$ bzr branch lp:openerp-connector/7.0 openerp-connector -rtag:2.0.1
0
Alastair Brian
On 5/25/15, 7:08 AM

@Atchuthan your problem solved?

0
Walter Vargas
On 7/13/14, 5:24 PM

any update about this compatibility issue ?
 

About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

Register

Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now

Question tools

0 follower(s)

Stats

Asked: 2/13/14, 3:32 AM
Seen: 3312 times
Last updated: 5/25/15, 7:08 AM